Debian Bug report logs - #603869
librtf-writer-perl: FTBFS in sid, error in Build-Depends-Indep

version graph

Package: librtf-writer-perl; Maintainer for librtf-writer-perl is Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>; Source for librtf-writer-perl is src:librtf-writer-perl.

Reported by: Angel Abad <angelabad@gmail.com>

Date: Thu, 18 Nov 2010 00:00:02 UTC

Severity: grave

Tags: patch

Fixed in version librtf-writer-perl/1.11-2

Done: Nicholas Bamber <nicholas@periapt.co.uk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Richard Holland <holland@eaglegenomics.com>:
Bug#603869; Package librtf-writer-perl. (Thu, 18 Nov 2010 00:00:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Angel Abad <angelabad@gmail.com>:
New Bug report received and forwarded. Copy sent to Richard Holland <holland@eaglegenomics.com>. (Thu, 18 Nov 2010 00:00:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Angel Abad <angelabad@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: librtf-writer-perl: FTBFS in sid, error in Build-Depends-Indep
Date: Thu, 18 Nov 2010 00:56:43 +0100
[Message part 1 (text/plain, inline)]
Package: librtf-writer-perl
Severity: important
Tags: patch

This package FTBFS, it should Build-Depends-Indep on libimage-size-perl
to pass perl tests. I attach a patch

There is pbuilder error log:

Can't locate Image/Size.pm in @INC (@INC contains: /tmp/buildd/librtf-writer-perl-1.11/blib/lib /tmp/buildd/librtf-writer-perl-1.11/blib/arch /etc/perl /usr/local/lib/perl/5.10.1 /usr/local/share/perl/5.10.1 /usr/lib/perl5 /usr/share/perl5 /usr/lib/perl/5.10 /usr/share/perl/5.10 /usr/local/lib/site_perl .) at /tmp/buildd/librtf-writer-perl-1.11/blib/lib/RTF/Writer.pm line 435.
t/image1.t ....... 
Dubious, test returned 2 (wstat 512, 0x200)
Failed 8/10 subtests 
Can't locate Image/Size.pm in @INC (@INC contains: /tmp/buildd/librtf-writer-perl-1.11/blib/lib /tmp/buildd/librtf-writer-perl-1.11/blib/arch /etc/perl /usr/local/lib/perl/5.10.1 /usr/local/share/perl/5.10.1 /usr/lib/perl5 /usr/share/perl5 /usr/lib/perl/5.10 /usr/share/perl/5.10 /usr/local/lib/site_perl .) at /tmp/buildd/librtf-writer-perl-1.11/blib/lib/RTF/Writer.pm line 435.

Thanks!

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: powerpc (ppc)

Kernel: Linux 2.6.32-5-powerpc
Locale: LANG=es_ES.utf8, LC_CTYPE=es_ES.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
[patch (text/x-diff, attachment)]

Severity set to 'grave' from 'important' Request was from Angel Abad <angelabad@gmail.com> to control@bugs.debian.org. (Thu, 18 Nov 2010 00:06:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Richard Holland <holland@eaglegenomics.com>:
Bug#603869; Package librtf-writer-perl. (Thu, 18 Nov 2010 19:42:03 GMT) Full text and rfc822 format available.

Message #10 received at 603869@bugs.debian.org (full text, mbox):

From: pkg-perl-maintainers@lists.alioth.debian.org
To: 603869@bugs.debian.org, 603869-submitter@bugs.debian.org
Subject: Bug in librtf-writer-perl fixed in revision 65037
Date: Thu, 18 Nov 2010 19:38:38 +0000
tag 603869 + pending
thanks

Some bugs are closed in revision 65037
by Nicholas Bamber (periapt-guest)

Commit message:

* Added libimage-size-perl as a build dependency, Closes: #603869
* Added version control information
* Reviewed descriptions
* Removed boring README file




Added tag(s) pending. Request was from pkg-perl-maintainers@lists.alioth.debian.org to control@bugs.debian.org. (Thu, 18 Nov 2010 19:42:05 GMT) Full text and rfc822 format available.

Message sent on to Angel Abad <angelabad@gmail.com>:
Bug#603869. (Thu, 18 Nov 2010 19:42:07 GMT) Full text and rfc822 format available.

Reply sent to Nicholas Bamber <nicholas@periapt.co.uk>:
You have taken responsibility. (Fri, 19 Nov 2010 07:03:09 GMT) Full text and rfc822 format available.

Notification sent to Angel Abad <angelabad@gmail.com>:
Bug acknowledged by developer. (Fri, 19 Nov 2010 07:03:09 GMT) Full text and rfc822 format available.

Message #20 received at 603869-close@bugs.debian.org (full text, mbox):

From: Nicholas Bamber <nicholas@periapt.co.uk>
To: 603869-close@bugs.debian.org
Subject: Bug#603869: fixed in librtf-writer-perl 1.11-2
Date: Fri, 19 Nov 2010 07:02:06 +0000
Source: librtf-writer-perl
Source-Version: 1.11-2

We believe that the bug you reported is fixed in the latest version of
librtf-writer-perl, which is due to be installed in the Debian FTP archive:

librtf-writer-perl_1.11-2.debian.tar.gz
  to main/libr/librtf-writer-perl/librtf-writer-perl_1.11-2.debian.tar.gz
librtf-writer-perl_1.11-2.dsc
  to main/libr/librtf-writer-perl/librtf-writer-perl_1.11-2.dsc
librtf-writer-perl_1.11-2_all.deb
  to main/libr/librtf-writer-perl/librtf-writer-perl_1.11-2_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 603869@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Nicholas Bamber <nicholas@periapt.co.uk> (supplier of updated librtf-writer-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Fri, 19 Nov 2010 05:41:28 +0000
Source: librtf-writer-perl
Binary: librtf-writer-perl
Architecture: source all
Version: 1.11-2
Distribution: unstable
Urgency: low
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Changed-By: Nicholas Bamber <nicholas@periapt.co.uk>
Description: 
 librtf-writer-perl - module for creating RTF files
Closes: 603869
Changes: 
 librtf-writer-perl (1.11-2) unstable; urgency=low
 .
   [ Nicholas Bamber ]
   * Changed maintainer to the Debian Perl Group and Richard Holland
     to an Uploader as we have some email evidence that he would have
     agreed had the conventions been explained to him.
   * Added myself to Uploaders
   * Added libimage-size-perl as a build dependency, Closes: #603869
   * Added version control information
   * Reviewed descriptions
   * Removed boring README file
   * echo '3.0 (quilt)' > debian/source/format
   * Switched off mergeWithUptream mode
   * Refreshed copyright
 .
   [ Salvatore Bonaccorso ]
   * debian/control: Full stop at the end of long description.
Checksums-Sha1: 
 b0e91dcbaba6b562ca112b5b7b025f27f885e943 2052 librtf-writer-perl_1.11-2.dsc
 9066bca22f39debed1636ae8ddaa181ee8a765a1 2125 librtf-writer-perl_1.11-2.debian.tar.gz
 13cfa5569429b93b9d6925c5652f17dd0248d327 66854 librtf-writer-perl_1.11-2_all.deb
Checksums-Sha256: 
 98ad21842441e9d41b6f83fad1bcc4024728216cc2284997c05a10bb52052fd8 2052 librtf-writer-perl_1.11-2.dsc
 6f4d43d72887cdee0ebfd4d9cf60c8aaea893576187b7d5a2119bd82637b1b8b 2125 librtf-writer-perl_1.11-2.debian.tar.gz
 68a9223d188194b6bb9fb188d0482757ff45314298be6040bc63968350c9ecaf 66854 librtf-writer-perl_1.11-2_all.deb
Files: 
 77f74044c4ceb70e1dc2dddd2a79aac8 2052 perl optional librtf-writer-perl_1.11-2.dsc
 6eb8f71ac4c4ccf677a300b86d2666cb 2125 perl optional librtf-writer-perl_1.11-2.debian.tar.gz
 d6e709b7c99ea0f00694cb5f276436ae 66854 perl optional librtf-writer-perl_1.11-2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBCAAGBQJM5h7DAAoJEHidbwV/2GP+1pgP/2jZxyyh91qghj1NmW4fIjnG
nXfFRNx1GstkYP+HHvmVMTEl93lfRRxpslnWQIVdZyC0TxCtlIkQS/djw8Utle2G
4IHC6R2oxVCbdQ8bgRyy12e0YtrchDVH0xVQ2ICteYkYBipeWLhTnrxAX1v5q51U
4BzzWDvOJEIcT+LSgyGEZin3YAtS00kV6yrc9L6wYj1tE+Lm4v0eZNMLAnNN7U85
HaKnKyTWP1tLJOe1WCRBKVCj2NNUFKB92/xV3kJZiGsnNOXtFTyKL1T5KnXA3pss
uPiXyWaCygg+fv2FMqb71Ui3h2TTSPPdT9PiUgUqa4KBu2SSevpLDAeXVLcqgxyb
5sqxtW99F/nergfcEJAl2NChg8hIO5P9tR2ZqlSBjPgVm4tAwhaV261cgOacm7tr
se28LcrN1xB0cmZ/x+Hm5bGppzYj/lqv8QfUV1nbel9ERTb6BGouKL9BR/KmwuzG
TS/X5aqVkNs27aZFXpT0sa6eNeb1kUxyW+hmYsNin+tWcS7pbG2VC2uqGY+P+SNG
JY4H7fOZixhxXqwcX82P3Jhy62sRn0O+aBn0pH91w9KbchkU2G3iZQmiWW3q2EE8
jk3ZhzbYYe1KgwYKl5SOoCgzansRQ5CCCtL0c21qu58uBrVaYMdXSHWy0+ynpNWX
xfX47ppT+Wp5XZd6UZag
=S2PI
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 18 Dec 2010 07:35:13 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 06:46:20 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.